CLASS SLOT_BASE(3)

NAME
boost::signals2::slot_base - Base class for slots.

SYNOPSIS

// In header: <boost/signals2/slot_base.hpp>
class slot_base {
public:
  // types
  typedef std::vector<implementation-detail> locked_container_type;
  // tracking
  bool expired() const;
  locked_container_type lock() const;
};

DESCRIPTION

  slot_base tracking

    1.

    bool expired() const;

    Returns:
        true if any tracked object has expired.

    2.

    locked_container_type lock() const;

    Returns:
        A container holding shared_ptrs to each of the slot's tracked objects. As long
                    as the returned container is kept in scope, none of the slot's tracked objects can expire..RE

        Throws:
            expired_slot if any of the slot's tracked objects have expired..RE